%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check

%global crate ripgrep

Name:           rust-ripgrep
Version:        14.1.0
Release:    1%{?dist}
Summary:        Line-oriented search tool

License:        Unlicense OR MIT
URL:            https://crates.io/crates/ripgrep
Source0:         %{crates_source}
Patch:          ripgrep-fix-metadata-auto.diff
Patch:          ripgrep-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Ripgrep is a line-oriented search tool that recursively searches the
current directory for a regex pattern while respecting gitignore rules.
ripgrep has first class support on Windows, macOS and Linux.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        BSD-3-Clause AND MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR BSL-1.0) AND (MIT OR Apache-2.0) AND (Unlicense OR MIT)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license COPYING
%license LICENSE-MIT
%license UNLICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc FAQ.md
%doc GUIDE.md
%doc README.md
%doc RELEASE-CHECKLIST.md
%{_bindir}/rg
%{_mandir}/man1/rg.1*
%{bash_completions_dir}/rg.bash
%{fish_completions_dir}/rg.fish
%{zsh_completions_dir}/_rg

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a
%{cargo_license_summary -a}
%{cargo_license -a} > LICENSE.dependencies

%install
%cargo_install -a
target/release/rg --generate man > rg.1
install -Dpm 0644 rg.1 -t %{buildroot}/%{_mandir}/man1/
target/release/rg --generate complete-bash > rg.bash
target/release/rg --generate complete-fish > rg.fish
target/release/rg --generate complete-zsh > _rg
install -Dpm 0644 rg.bash -t %{buildroot}/%{bash_completions_dir}
install -Dpm 0644 rg.fish -t %{buildroot}/%{fish_completions_dir}
install -Dpm 0644 _rg -t %{buildroot}/%{zsh_completions_dir}

%if %{with check}
%check
%cargo_test -a
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 14.1.0-1
- initial build
